function f = g(omega, mu1, mu2, mu3, var_cond, var_e, y2, y3, BP2, BP3, normalization)

f = 1 ./ omega .* ...
    exp(-(log(omega) - mu1).^2 / 2 / var_cond) .* ...
    1 ./ (y2 + omega) .* ...
    exp(-(log(y2 + BP2 * omega) - mu2).^2 / 2 / var_e) .* ...
    1 ./ (y3 + omega) .* ...
    exp(-(log(y3 + BP3 * omega) - mu3).^2 / 2 / var_e) / normalization;

end
