clear all
close all
clc

datapath = '../output/Period3_Target/';%change data path here
%% 
load(strcat(datapath, 'ests_x.mat'))%change data file name herwe.  this is the output of MCMC
rawData = readmatrix("../input/model_input_mcmc_new.xlsx"); %this is the real data
%% 
all_n = weights;
%% Cut Burn-in
burnin_point = 10000;
beta0_finish = X3 * alpha3_finish;
beta0_1lag_S = beta0_finish(:,burnin_point:size(beta0_finish,2)-1);%get -1 lag for betas
beta1_1lag_S = beta1_finish(:,burnin_point:size(beta1_finish,2)-1);
for cv = who('*_finish')' %transpose to get a row cell array
  eval(sprintf('%1$s = %1$s(:,[burnin_point+1:size(%1$s,2)]);', cv{1})); %1$s is replaced by var name, output is named meanvarname
end
%%
sig_eps_S = 1 ./ sqrt(tau_e_finish);
mu_u_hS = beta0_finish ./ beta1_finish;
mu_u_S = sum(mu_u_hS.*all_n)./sum(all_n);
sig_u_S = 1 ./ beta1_finish;
u_hS = (beta0_1lag_S + u_finish) ./ beta1_1lag_S;

gamma1xx_S = gamma1_finish;
gamma3xx_S = gamma3_finish;
%% Change names
lam_hS = lnlambda_finish;
ome_hS = lnomega_finish;

% mu_lam_S = mu_lambda_finish;
mu_lam_sS = alpha1_finish;
mu_ome_sS = alpha2_finish;
rho_S = rho_finish;
sig_lam_S = sigma_lambda_finish;
sig_ome_S = sigma_omega_finish;

% mu_lam_S = sum(mu_lam_sS.*strata_n)./sum(strata_n);
mu_lam_hS = X1 * mu_lam_sS;
mu_lam_S = sum(mu_lam_hS.*all_n)./sum(all_n);

mu_ome_hS = X2 * mu_ome_sS;
mu_ome_S = sum(mu_ome_hS.*all_n)./sum(all_n);
%%
clear '*_finish'