clear;clc;close all

%% Summarize results
load ./output/Period3_Target/ests_x
S = sum(sigma_lambda_finish ~= 0);
ind = 1:S;
close all
figure;
subplot(5, 2, 1)
plot(ind, wmean(X1 * alpha1_finish(:, ind), repmat(weights, 1, length(ind)), 1)); ylabel('\mu_\lambda'); xlim([0, S]); ylim([10.10, 10.25]);
subplot(5, 2, 2)
plot(ind, sigma_lambda_finish(ind)); ylabel('\sigma_\lambda'); xlim([0, S]); ylim([0.1, 0.25]);
subplot(5, 2, 3)
plot(ind, wmean(X2 * alpha2_finish(:, ind), repmat(weights, 1, length(ind)), 1)); ylabel('\mu_\omega'); xlim([0, S]); ylim([3, 7]);
subplot(5, 2, 4)
plot(ind, sigma_omega_finish(ind)); ylabel('\sigma_\omega'); xlim([0, S]); ylim([0, 1.5]);
subplot(5, 2, 5)
plot(ind, rho_finish(ind)); ylabel('\rho'); xlim([0, S]); ylim([-0.4, 0.8]);
subplot(5, 2, 6)
plot(ind, gamma1_finish(ind)); ylabel('\gamma_1'); xlim([0, S]); ylim([0.04, 0.09]);
subplot(5, 2, 7)
plot(ind, gamma3_finish(ind)); ylabel('\gamma_3'); xlim([0, S]); ylim([0, 0.04]);
subplot(5, 2, 8)
plot(ind, 1 ./ sqrt(tau_e_finish(ind))); ylabel('\sigma_\epsilon'); xlim([0, S]); ylim([0.06, 0.09]);
subplot(5, 2, 9)
plot(ind, wmean(X3(H34, :) * alpha3_finish(:, ind), repmat(weights(H34), 1, length(ind)), 1) ./ beta1_finish(ind)); ylabel('\mu_\nu'); xlim([0, S]); ylim([-1e5, 1e4]);
subplot(5, 2, 10)
plot(ind, 1 ./ beta1_finish(ind)); ylabel('\sigma_\nu'); xlim([0, S]); ylim([0, 1.1e5]);
set(gcf, 'Position', [200 200 700 5000])
saveas(gcf,'./output/plot_ests_x', 'png');


